{% extends 'base.html.twig' %}

{% block website %}

    <div class="breadcrumbs">
        <div class="inner">
            <a href="{{ path('home') }}" class="breadcrumbs-item">Главная</a>
        </div>
    </div>

    <section>
        <div class="inner">
            <div class="head-title">
                <h1>История заказов</h1>
            </div>
        </div>
    </section>
    <section>
        <div class="inner">
            <div class="article-wrap">
                <div class="article-aside">
                    <div class="article-menu">
                        {% include 'lk/menu.html.twig' %}
                    </div>
                </div>
                <div class="article-content">
                    <div class="order-list">
                        {% if orders is empty %}
                            <p>Вы еще не совершили ни одного заказа</p>
                        {% else %}
                        {% for order in orders %}
                        <div class="order-item">
                            <div class="order-item">
                                <div class="order-item__title">Заказ № {{ order.number }} <span>от {{ order.added|date("d.m.Y") }}</span></div>
                                <div class="order-item__info">
                                    <div class="order-item__info-slot order-item__info-discount"><span class="name">Скидка:</span><span class="value">{{ order.discount }} руб.</span></div>
                                    <div class="order-item__info-slot order-item__info-price"><span class="name">Стоимость:</span><span class="value">{{ order.price }} руб.</span></div>
                                    <div class="order-item__info-slot order-item__info-status"><span class="name">Статус заказа:</span><span class="value">{{ order.status.value }}</span></div>
                                </div>
                                <div class="order-item__foot">
                                    <div>Состав заказа: <span class="js-order-toggle">показать</span></div>
                                    <div><a href="{{ path('cartRepeatOrder', {'number' : order.number}) }}">Повторить заказ</a></div>
                                </div>
                                <div class="order-item__detail">
                                    {% for detail in order.details %}
                                    <div class="order-item__poduct">
                                        <div class="order-item__poduct-slot order-item__poduct-vendor"><span class="name">Артикул:</span><span class="value">{{ detail['vendorCode'] }}</span></div>
                                        <div class="order-item__poduct-slot order-item__poduct-name"><span class="name">Наименование:</span><span class="value">{% if detail['slug'] is not null %}<a href="{{ path('productsItem', {'slug' : detail['slug']}) }}">{{ detail['name'] }}</a>{% else %}{{ detail['name'] ~ ' (продукт удалён)' }}{% endif %}</span></div>
                                        <div class="order-item__poduct-slot order-item__poduct-count"><span class="name">Количество:</span><span class="value">{{ detail['qty'] }} шт.</span></div>
                                        <div class="order-item__poduct-slot order-item__poduct-price"><span class="name">Стоимость:</span><span class="value">{{ detail['price'] }} руб.</span></div>
                                    </div>
                                    {% endfor %}
                                </div>
                            </div>
                        </div>
                        {% endfor %}
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
